Actions

J1.5 talk

Upgrading 1.5 from an existing 1.5x version

From Joomla! Documentation

Revision as of 23:09, 22 September 2009 by Tharrson (Talk | contribs)

I would recommend that MD5 hashes be dropped from this page as it creates a maintenance problem. Instead, simply provide instructions on how to get the MD5's from JoomlaCode.org. Chris Davenport 06:12, 6 July 2008 (EDT)

That is an excellent idea. I will try to get that done for today's release. Thanks, Chris. AmyStephen 09:39, 6 July 2008 (EDT)


Contents

Shouldn't this page explain how to upgrade 1.5 from an existing 1.5x version?

This article does a good job of explaining how to get the patch, that you need to back up and test on a backup copy of your site, and how to unpack files and everything, but it doesn't whatsoever explain how to actually perform the upgrade. It's nice that you want to explain four different ways to get your files unpacked at your server. However, isn't the supposed purpose of an article like this to explain *where* to unpack them on your server, and just maybe what to do after you unpack them? This goes right from unpacking the files to testing the patch-- where's the upgrade step? How should the reader know which files and directories to overwrite when performing the upgrade? Oskay 05:08, 1 September 2008 (EDT)

The upgrade step is step 6. If you think that the wording is not clear then please suggest alternative wording. Thanks. Chris Davenport 05:32, 1 September 2008 (EDT)

Hi Chris, Thanks for the reply. I am a little bit confused too. Step 6 is "Install the patch package on your live site"; however, the explanations are only about how to unpack and upload the files on the server. They don't really explain how to do the INSTALL part – which is the most important? In my opinion, the main question that is not answered is: what do we have to do after we upload the files on the server or where do we upload the files to? Do we create a new folder on the website and copy the new files from the upgrade package there? Do we overwrite the old files with the new ones from the upgrade package? Do you edit the old files and add the code from the new ones? Is there an install link such as "www.mysite.com/install" and if there is, what do we do next? Are there any changes to the database we need to be worried about? Most of the people that perform an upgrade most likely have a customized template to their site. Is there anything extra we need to do to assure the security of our website/template? Also, if we overwrite all the files from the upgrade package on an existing website, we may loose our custom work (such as a custom template), or any additional modules we may have implemented. Having said that, how do we upload the new files without loosing our work? Is there a trick or something to smooth things out? I think this is what is missing from the article in my opinion. Thanks for your time!

Okay, I'm beginning to see the problem now. You're making this much more complicated than it really is and so I think we need to add some wording to reassure people that it is quite straightforward. The quick answer is you just overwrite the old files. There are no database changes and no scripts to run. You will only be overwriting the core Joomla files, so any extensions you may have installed, including templates, will be unaffected. The only issue you might have is if you have hacked any of the core files, but Joomla 1.5 has been carefully designed to ensure that core hacks are not necessary. Chris Davenport 02:37, 18 September 2008 (EDT)

Actually, I'm still not clear on what to do. I downloaded the patch for 1.5.6 to 1.5.8 and untarred it to view the contents. If I were to untar it on my live system, the templates and modules would be overwritten. So which files exactly must be copied?

What he said..

As mentioned before, If I was to simply upload all the files my template would disappear and maybe some other items as well. How do we know what file need to be updated and which ones do not. This is a GREAT example of how you can instruct people to install or upgrade their files. http://www.blahdocs.com/Upgrading_your_E-Blah_forum

This page could indeed benefit from being re-worded. Please do so here and I will transfer to the live page (the live page is protected so you won't be able to do it directly). We always recommend that if you want to customise one of the core templates you take a copy then modify the copy, precisely to avoid the possibility of an upgrade overwriting your customised files. I know that people still fall into that trap fairly regularly so it would be good to reiterate the warning here too. This goes for any other core files too. With 1.5 there is almost never any need to hack the core files, but if you do then you need to be extra careful with upgrades. Chris Davenport 08:52, 9 February 2009 (UTC)

No upgrade instructions for Mac users?

Hi, many people now use Macs, the local file overwriting works very differently. Using this upgrade process on a Mac would instantly destroy a local copy of Joomla. Have a look at the forum discussion here: http://forum.joomla.org/viewtopic.php?f=36&t=315340&p=1618874#p1618874.

We can't be superseded by the Drupal documentation! http://drupal.org/node/85184

Forgive me for any errors, this is my first time using a Wiki, I should be working now but I believe this to be important :) --Morktron 22:13, 11 March 2009 (UTC)

Just go ahead. I don't have a Mac so I think it's up to you Mac users out there to make the changes. Chris Davenport 22:21, 11 March 2009 (UTC)

adding a file list

I attempted to add a list of the files installed during a migration from 1.5.x to 1.5.14, in an effort to help folks see which files they may need to protect (e.g. template.css). My edit was removed --- is there a reason for this? It looks like that's what people here are asking for.

I removed it because I don't think it adds anything useful to the documentation and is time-consuming to maintain. I think it would be better to point out that you can look in the archive file itself if you need to check which files are about to be overwritten. Even better would be a short explanation of why core hacks are problematical and why it is better to copy a core template before customising it. Chris Davenport 22:54, 4 August 2009 (UTC) Tharrson 05:09, 23 September 2009 (UTC) Please put it back. The instructions are obscure enough without having to read through the entire discussion page to really find out how to do an upgrade. The instruction page should clearly state that you are expected to replace old files with new ones, which files should be replaced by new files, and how to do it. This information is not just "useful", it is crucial.